سفرهای برنامهریزیشده بین دو شهر را بر اساس شناسه عددی، در یک بازه تاریخ/زمان مشخص جستوجو میکند.
| پارامتر | محل | نوع | الزامی |
|---|---|---|---|
spanstart_datetimeزودترین زمان حرکت | path | date-time | الزامی |
spanend_datetimeدیرترین زمان حرکت | path | date-time | الزامی |
OriginCityIDشهر مبدأ که از getCities دریافت شده است | path | integer | الزامی |
DestinationCityIDشهر مقصد که از getCities دریافت شده است | path | integer | الزامی |
OriginTerminalIDفیلتر بر اساس پایانه مبدأ (اختیاری) | query | integer | اختیاری |
DestinationTerminalIDفیلتر بر اساس پایانه مقصد (اختیاری) | query | integer | اختیاری |
curl -s "https://ors.shoofer.taxi/Trips/GetPlanedTripsbyCityID/\
2026-07-20T00:00/2026-07-20T23:59/1/23" \
-H "Authorization: Bearer $TOKEN"const path = `/Trips/GetPlanedTripsbyCityID/2026-07-20T00:00/2026-07-20T23:59/1/23`;
const res = await fetch(`https://ors.shoofer.taxi${path}`, {
headers: { Authorization: `Bearer ${token}` }
});
const trips = await res.json();resp = requests.get(
"https://ors.shoofer.taxi/Trips/GetPlanedTripsbyCityID/"
"2026-07-20T00:00/2026-07-20T23:59/1/23",
headers={"Authorization": f"Bearer {token}"},
)
trips = resp.json()var client = new HttpClient();
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token);
var path = "/Trips/GetPlanedTripsbyCityID/2026-07-20T00:00/2026-07-20T23:59/1/23";
var res = await client.GetAsync($"https://ors.shoofer.taxi{path}");
var trips = await res.Content.ReadFromJsonAsync<JsonElement>();[
{
"tripPlanCode": "A3F92K7",
"startingDateTime": "2026-07-20T09:30:00",
"startingDateTimeShamsi": "1405-4-29T09:30:00",
"originalTicketprice": 1250000,
"afterdiscticketprice": 1250000,
"tripType": "OnlyMultiPassenger",
"tripTypeID": 1,
"originPovinceName": "تهران",
"originCityName": "تهران",
"destinationPovinceName": "خراسان رضوی",
"destinationCityName": "مشهد",
"availableSeatsnumber": [1, 3, 4],
"taxiSupervisorName": "Parsian Travel",
"taxiSupervisorID": 12,
"taxiSupervisorClass": "Vip",
"carModelName": "Peugeot 405",
"carModelID": 3,
"originLocationID": 44,
"oringinLocationName": "پایانه جنوب",
"destinationLocationID": 91,
"destinationLocationName": "پایانه امام رضا",
"availableTicketsCount": 3,
"image": null,
"estimatedArrivalTime": "2026-07-20T18:45:00",
"estimatedArrivalTimeShamsi": "1405-4-29T18:45:00"
}
]Field names come from the real DTO with the API’s default camelCase JSON policy applied — including two spelling quirks that are real, not typos in this documentation: originPovinceName/destinationPovinceName(missing the “r” in Province) and oringinLocationName.
.png)